<?php

namespace Dolphy\Plugin\Helpers;

/**
 * Company's Information
 *
 */
class Info {

  /**
   * Company Name
   *
   * @return string
   */
  public static function name() {
    $value = 'Cyberpull Technologies';
    return apply_filters('cyberpull_info_name', $value);
  }

  /**
   * Company's Short Name
   *
   * @return string
   */
  public static function shortname() {
    $value = 'Cyberpull';
    return apply_filters('cyberpull_info_shortname', $value);
  }

  /**
   * Company's Email Address
   *
   * @return string
   */
  public static function email() {
    $value = 'info@cyberpull.com';
    return apply_filters('cyberpull_info_email', $value);
  }

  /**
   * Company's Website
   *
   * @return string
   */
  public static function website() {
    return apply_filters('cyberpull_info_website', CYBERPULL_WEBSITE);
  }

  /**
   * Company's About Us URL
   *
   * @return string
   */
  public static function about() {
    return apply_filters('cyberpull_info_website_about', CYBERPULL_WEBSITE_ABOUT);
  }

  /**
   * Company's Services URL
   *
   * @return string
   */
  public static function services() {
    return apply_filters('cyberpull_info_website_services', CYBERPULL_WEBSITE_SERVICES);
  }

  /**
   * Company's Logo
   *
   * @return string
   */
  public static function logo() {
    $value = CYBERPULL_PLUGIN_URL . '/assets/images/logo.png';
    return apply_filters('cyberpull_info_logo', $value);
  }

  /**
   * Company's Icon
   *
   * @return string
   */
  public static function icon() {
    $value = CYBERPULL_PLUGIN_URL . '/assets/images/icon.png';
    return apply_filters('cyberpull_info_icon', $value);
  }

}
